
/*
   This file is part of AirFart.

   AirFart is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   AirFart is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with AirFart; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef ADDRESS_H
#define ADDRESS_H

#include <stdio.h>
#include <string.h>
#include <deque>

//#define DEBUG_ADDRESS 1

using std::deque;

#define NUM_OF_SIGNALS 10  // How many signals strengths are used to find the average signal calculation

struct Packet {
	int strength;
	int time;
};

class Address 
{
	private:
		unsigned char* macaddr;
		char* vendor_info;
		char* ssid;
		deque<Packet*> signal_queue;
		int packet_count;

	public:
		Address(unsigned char* new_macaddr, char* new_ssid, char* new_vendor_info); // Add to this later as needed	
		~Address(); 

		void set_macaddr(unsigned char* new_macaddr);
		void set_ssid(char* new_ssid);
		unsigned char* get_macaddr();
		char* get_ssid();
		char* get_vendor_info();
		void add_strength(int sig_strength);
		void print_strengths();
		int calc_avg();
		int get_packet_count();
};

#endif

