
/*
   This file is part of AirFart.

   AirFart is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   AirFart is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with AirFart; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#ifndef PRINTCHARS_H
#define PRINTCHARS_H

/***********************************************************************/
/* Global convenience function for printing out data in buff
 * originally written by Michael Torrie */
void print_chars(char *head, unsigned char *buff, int length)
{
	int i,j;

	printf("%s\n",head);
	for(i = 0; i < length; i+=16) 
	{
		for (j=0; j< 16 ; j++)
		{
			if(j==8) printf(" ");
			if(i+j < length) 
				printf("%02x ",buff[i+j]);
			else
				printf("   ");
		}
		printf("  ");
		for (j=0; j< 16 ; j++)
		{
			if(j==8) printf(" ");
			if(i+j < length) 
			{
				if(isprint(buff[i+j]))
					printf("%c",buff[i+j]);
				else
					printf(".");
			}
		}
		printf("\n");

	}
}

#endif

